name: synchronized
description: Lock mechanism to prevent concurrent access to asynchronous code.
version: 3.3.0+3
homepage: https://github.com/tekartik/synchronized.dart/tree/master/synchronized
funding:
  - https://github.com/sponsors/alextekartik

topics:
  - mutex
  - lock
  - async
  - concurrency

environment:
  sdk: ^3.5.0

dev_dependencies:
  web: '>=0.5.0'
  lints: '>=1.0.1'
  pub_semver: '>=2.0.0'
  test: '>=1.16.2'
  build_runner: '>=1.11.2'
  build_test: '>=1.3.7'
  build_web_compilers: '>=2.16.4'
  process_run: '>=0.12.0-0'
  yaml: '>=3.0.0'
